Summary:   FVWM Themes, configuration framework for FVWM
Name:      fvwm-themes-full
Version:   0.7.0
Release:   3
License:   GPL
Group:     User Interface/Desktops
Source0:   %{name}-%{version}.tar.gz
Source1:   rpm-wa.tar.gz
Source2:   install-menu-system.sh
Patch0:    fvwm-theme-0.7.0-Makefile.in.patch
URL:       http://fvwm-themes.sourceforge.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Autoreq:   0

BuildRequires: automake
#BuildRequires: fvwm-devel
BuildRequires: metisse-devel
#Requires:  fvwm >= 2.5.8
Requires:  metisse >= 0.4.0
Provides:  fvwm-themes = %{version}


%description
FVWM Themes is a powerful configuration framework for FVWM,
designed to be easily extendible and configurable, includes
several pre-built themes, a pack of images and sounds.

%description -l fr
FVWM Themes est un systme de configuration puissant pour FVWM.
Il est extensible, facilement configurable et contient des
thmes, des images et des fichiers sons.

%description -l ru
FVWM Themes       FVWM,
      .
     ,    .

%prep
%setup -q
%patch0 -p1 -b -kw.patch

%build
%configure \
  --disable-run-updatemenu \
  --disable-build-menus \
  --disable-menu-system \
  --with-fvwm-bindir=%{_bindir} \
  --with-ft-datadir=%{_datadir}/fvwm-insitu \
  --enable-gnome-icons \
  --enable-kde2-icons \
  --with-fontdir=%{_datadir}/X11/fonts \
  --x-includes=%{_includedir}/X11 \
  --x-libraries=%{_libdir} 
make CFLAGS="-O2"

#  --disable-run-updatemenu \
#  --disable-build-menus \
#  --disable-menu-system \

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT%{_prefix} ROOT_PREFIX=$RPM_BUILD_ROOT install

# menu-methode stuff
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fvwm-insitu/menu-system
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cp -f %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/fvwm-insitu/menu-system/
cp -f %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/fvwm-insitu/menu-system/

chmod 0755 $RPM_BUILD_ROOT%{_datadir}/fvwm-insitu/menu-system/install-menu-system.sh

#%find_lang FvwmScript-GlobalFeel
#%find_lang FvwmScript-ThemesCenter 
#%find_lang FvwmScript-ComponentProperties
#%find_lang FvwmScript-ColorSelector
#cat FvwmScript-ColorSelector |grep lang >> FvwmScript-GlobalFeel.lang
#cat FvwmScript-ThemesCenter.lang |grep lang >> FvwmScript-GlobalFeel.lang
#cat FvwmScript-ComponentProperties.lang |grep lang >> FvwmScript-GlobalFeel.lang

%clean
rm -rf $RPM_BUILD_ROOT

# -f FvwmScript-GlobalFeel.lang
%files 
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL NEWS README TODO
%doc doc/FAQ doc/README.1st doc/colorsets doc/creating-themes
%doc doc/fvwm-themes.lsm doc/menus-extra doc/functions-appbind-extra
%exclude %{_sysconfdir}/X11/wmsession.d
%{_bindir}/*
%{_datadir}/fvwm-insitu/*
%{_mandir}/man1/*

%post
[ -x /usr/bin/fvwm-themes-menuapp ] && fvwm-themes-menuapp --site --build-menus --remove-popup || true
sh /usr/share/fvwm-insitu/menu-system/install-menu-system.sh Install
#echo ""
#echo "    If you are running fvwm-themes now, to avoid problems choose"
#echo "    'Reset all to the default' from the Theme Management menu."
#echo ""

%preun
[ -f /usr/share/fvwm-insitu/menu-system/install-menu-system.sh ] && sh /usr/share/fvwm-insitu/menu-system/install-menu-system.sh Uninstall || true


%changelog
* Thu Jan 25 2007 kwizart < kwizart at gmail.com > - 0.7.0-3
- Fedora Spec file

* Wed Oct 23 2001 olicha <olivier.chapuis@free.fr>
  - added a way to handle the debian menu system on any system
* Sat Sep 07 2000 Mikhael Goikhman <migo@homemail.com>
  - First try at making the package
